[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResources.Find

Searches for a resource

## Declaration

Source position: resource.pp line 251

`public function TResources.Find(`
`aType: TResourceDesc;`
`aName: TResourceDesc;`
`const aLangID: TLangID`
`):TAbstractResource; overload; function TResources.Find(`
`aType: TResourceDesc;`
`aName: TResourceDesc`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResName;`
`const aName: TResName;`
`const aLangID: TLangID`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResName;`
`const aName: TResID;`
`const aLangID: TLangID`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResID;`
`const aName: TResName;`
`const aLangID: TLangID`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResID;`
`const aName: TResID;`
`const aLangID: TLangID`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResName;`
`const aName: TResName`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResName;`
`const aName: TResID`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResID;`
`const aName: TResName`
`):TAbstractResource; overload; function TResources.Find(`
`const aType: TResID;`
`const aName: TResID`
`):TAbstractResource; overload;`

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for
`aLangID` |  | The language ID of the resource to search for

## Function result

The resource that matches the search criteria

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for
`aLangID` |  | The language ID of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for
`aLangID` |  | The language ID of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for
`aLangID` |  | The language ID of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for
`aLangID` |  | The language ID of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for

## Arguments

`aType` |  | The type of the resource to search for
`aName` |  | The name of the resource to search for

## Description

This method searches for a resource with the given type and name. If a language ID is not provided, the first resource found that matches aType and aName is returned.

## Errors

If the resource is not found, an EResourceNotFoundException exception is raised.